Skip to navigation

Retrieve the installation instructions of a cluster by ID.

View as Markdown

Use to retrieve installation instruction for a cluster by Universally Unique Identifier (UUID). Supports clusters version 2.15 or above.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

clusterUuidstringRequiredformat: "uuid">=1 character

The Universally Unique Identifier (UUID) of the cluster.

Query parameters

versionstringRequired
The cluster version to install
remoteClusterUrlstringOptional
The remote URL of the runai cluster

Response

Executed successfully.
installationStrstring
repositoryNamestring
chartRepoURLstring
bootstrapTokenstring

Short-lived JWT (2h TTL) for the installer service account. Pass to the Helm hook via —set controlPlane.bootstrapToken=<token>.

clientSecretstring or nullOptionalDeprecated

Deprecated. Omitted on CP >= 3.0. Use bootstrapToken instead.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error